aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '.travis.sh')
-rwxr-xr-x.travis.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.travis.sh b/.travis.sh
new file mode 100755
index 0000000..382290f
--- /dev/null
+++ b/.travis.sh
@@ -0,0 +1,16 @@
+#! /bin/bash
+# Copyright (C) 2017 Sebastian Pipping <sebastian@pipping.org>
+# Licensed under the 3-Clause BSD license
+set -e
+
+PS4='# '
+set -x
+
+
+# Install BATS that the test suite relies on
+git clone --depth 1 https://github.com/sstephenson/bats.git
+( cd bats && sudo ./install.sh /usr/local )
+
+
+# Run test suite
+./test.bats